package com.vpn.fastestvpnservice.beans

import com.vpn.fastestvpnservice.R

data class ServerList(
    val country: String,
    val ServerListName: String,
    val ping: String,
    val icon: Int
)

data class CountryServerList(
    val country: String,
    val icon: Int,
    val server: List<ServerList>?
)

val favList = listOf(
    ServerList("Spain", "Barcelona", "130ms", R.drawable.spainlogo3x),
//    ServerList("Spain", "Barcelona", "130ms", R.drawable.spainlogo3x),
//    ServerList("Spain", "Barcelona", "130ms", R.drawable.spainlogo3x)
)

val favListServer = listOf(
    Server(1, "Barcelona", "130ms", "R.drawable.spainlogo3x", "", ""),
//    ServerList("Spain", "Barcelona", "130ms", R.drawable.spainlogo3x),
//    ServerList("Spain", "Barcelona", "130ms", R.drawable.spainlogo3x)
)

val favServerListsList = listOf(
    ServerList("Spain", "Barcelona", "95ms", R.drawable.spainlogo3x),
    ServerList("Pakistan", "Karachi", "95ms", R.drawable.pklogo3x),
    ServerList("Spain", "Rome", "95ms", R.drawable.spainlogo3x),
    ServerList("Pakistan", "Lahore", "95ms", R.drawable.pklogo3x),
    ServerList("Spain", "Italy", "95ms", R.drawable.spainlogo3x),
)

val smartList = listOf(ServerList("Spain", "Rome", "124ms", R.drawable.spainlogo3x))

val recentList = listOf(
    ServerList("Pakistan", "Multan", "95ms", R.drawable.pklogo3x),
    ServerList("Pakistan", "Islamabad", "85ms", R.drawable.pklogo3x)
)

val recommendedList = listOf(
    ServerList("Spain", "Milan", "85ms", R.drawable.spainlogo3x),
    ServerList("Spain", "Milan", "85ms", R.drawable.spainlogo3x),
    ServerList("Spain", "Milan", "85ms", R.drawable.spainlogo3x)
)

val streamingList = listOf(
    ServerList("Streaming Spain", "Milan", "85ms", R.drawable.spainlogo3x),
    ServerList("Streaming Spain", "Milan", "85ms", R.drawable.spainlogo3x),
    ServerList("Streaming Spain", "Milan", "85ms", R.drawable.spainlogo3x)
)

val dvpnList = listOf(
    ServerList("UK VIA USA", "Milan", "85ms", R.drawable.spainlogo3x),
    ServerList("USA VIA CANADA", "Milan", "85ms", R.drawable.spainlogo3x),
    ServerList("CANADA VIA UK", "Milan", "85ms", R.drawable.spainlogo3x)
)

val p2pList = listOf(
    ServerList("P2P UK", "Milan", "85ms", R.drawable.spainlogo3x),
    ServerList("P2P USA", "Milan", "85ms", R.drawable.spainlogo3x),
    ServerList("P2P CANADA", "Milan", "85ms", R.drawable.spainlogo3x)
)

val countryList = listOf(
    ServerList("Spain", "Venice", "101ms", R.drawable.spainlogo3x),
    ServerList("Spain", "Italy", "102ms", R.drawable.spainlogo3x),
    ServerList("Spain", "Rome", "103ms", R.drawable.spainlogo3x),
    ServerList("Spain", "Venice", "104ms", R.drawable.spainlogo3x),
    ServerList("Spain", "Italy", "105ms", R.drawable.spainlogo3x),
    )

val countryList2 = listOf(
    ServerList("Spain", "Venice", "101ms", R.drawable.spainlogo3x)
)

val countryList3 = listOf(
    ServerList("Spain", "Venice", "101ms", R.drawable.spainlogo3x)
)

val countryList4 = listOf(
    ServerList("Pakistan", "Karachi", "107ms", R.drawable.pklogo3x),
    ServerList("Pakistan", "Lahore", "108ms", R.drawable.pklogo3x)
)

val allLocationsList = listOf(
    CountryServerList("USA", R.drawable.spainlogo3x, countryList),
    CountryServerList("Argentina", R.drawable.spainlogo3x, countryList2),
    CountryServerList("Germany", R.drawable.spainlogo3x, countryList3),
    CountryServerList("Pakistan", R.drawable.pklogo3x, countryList4)
)